import java.io.File;
import java.util.Properties;

import rseslib.processing.classification.rules.AQ15Classifier;
import rseslib.structure.table.ArrayListDoubleDataTable;
import rseslib.structure.table.DoubleDataTable;
import rseslib.system.progress.EmptyProgress;
import rseslib.system.progress.Progress;
import rseslib.system.progress.StdOutProgress;

public class AQ15ErrorExample {

    public static void main(String[] args) throws Exception {

        String file = "breast-cancer-train-0.arff";
        Progress prog = new StdOutProgress();

        DoubleDataTable trainTable = new ArrayListDoubleDataTable(new File(file), new EmptyProgress());

        AQ15Classifier aq15 = new AQ15Classifier((Properties) null, trainTable, prog);
    }

}
